"use strict";
var tippex = require('tippex');
function fix(code, id) {
    var cleanCode = tippex.erase(code);
    var re = /export\s+(default\s+)?((?:abstract\s+)?class)(?:\s+(\w+))?/g;
    var match;
    while (match = re.exec(cleanCode)) {
        code = erase(code, match.index, match[0].indexOf(match[2]));
        var name_1 = match[3];
        if (match[1]) {
            if (!name_1)
                throw new Error("TypeScript Plugin: cannot export an un-named class (module " + id + ")");
            name_1 += ' as default';
        }
        code += "\nexport { " + name_1 + " };";
    }
    return code;
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = fix;
function erase(code, start, length) {
    var end = start + length;
    return code.slice(0, start) +
        code.slice(start, end).replace(/[^\s]/g, ' ') +
        code.slice(end);
}
